Subject: Re: [JGIT PATCH 2/2] Decrease the fetch pack client buffer to the lower minimum

From: Junio C Hamano <[email-masked]>
Date: Sun, 10 May 2009 20:51:01 -0700

"Shawn O. Pearce" <[email-masked]> writes:

> In step 3 during the first round the client can send up to 2 blocks
> worth of data, with 32 haves per block.  This means the client
> writes 2952 bytes of data before it reads.

Sorry, perhaps I am being extremely slow, but even if the client writes
millions of bytes before it starts reading, I do not see how it would be a
problem as long as the other side reads these millions of bytes before
saying "Ok, I've heard about them and my response so far is Ack-continue
(or NAK)", which the client needs to read.